<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 15/12/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_lastest_post'))
{
    function s7upf_vc_lastest_post($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'     => 'home-style',
            'cats'      => '',
            'title'     => '',
            'number'    => '7',
            'order'     => 'DESC',
            'link'      => '',
        ),$attr));
        $args = array(
            'post_type'         => 'post',
            'posts_per_page'    => $number,
            'orderby'           => 'date',
            'order'             => $order,
        );
        if(!empty($cats)) {
            $custom_list = explode(",",$cats);
            $args['tax_query'][]=array(
                'taxonomy'=>'category',
                'field'=>'slug',
                'terms'=> $custom_list
            );
        }
        $query = new WP_Query($args);
        $count = 1;
        $count_query = $query->post_count;
        switch ($style) {
            case 'home1fs':
                $html .=    '<div class="latest-news '.esc_attr($style).'">
                                <div class="list-latest-news">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        if($count % 2 == 1){
                            $html .=    '<div class="item-latest-news">
                                            <div class="row">
                                                <div class="col-md-7 col-sm-7 col-xs-12">
                                                    <div class="post-thumb zoom-image">
                                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(570,411)).'</a>
                                                    </div>
                                                </div>
                                                <div class="col-md-5 col-sm-5 col-xs-12">
                                                    <div class="post-info text-left">
                                                        <ul class="post-comment-date">
                                                            <li><i class="fa fa-calendar" aria-hidden="true"></i><span>'.get_the_date('M d, Y').'</span></li>
                                                            <li><a href="'.esc_url(get_comments_link()).'"><i class="fa fa-comment-o" aria-hidden="true"></i><span>'.get_comments_number().' '.esc_html__("Comment","fashionstore").'</span></a></li>
                                                        </ul>
                                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                        <a href="'.esc_url(get_the_permalink()).'" class="btn-plus readmore">'.esc_html__("read more","fashionstore").'</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        else{
                            $html .=    '<div class="item-latest-news item-latest-shadow">
                                            <div class="row">
                                                <div class="col-md-5 col-sm-5 col-xs-12">
                                                    <div class="post-info text-right">
                                                        <ul class="post-comment-date">
                                                            <li><i class="fa fa-calendar" aria-hidden="true"></i><span>'.get_the_date('M d, Y').'</span></li>
                                                            <li><a href="'.esc_url(get_comments_link()).'"><i class="fa fa-comment-o" aria-hidden="true"></i><span>'.get_comments_number().' '.esc_html__("Comment","fashionstore").'</span></a></li>
                                                        </ul>
                                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                        <a href="'.esc_url(get_the_permalink()).'" class="btn-plus readmore">'.esc_html__("read more","fashionstore").'</a>
                                                    </div>
                                                </div>
                                                <div class="col-md-7 col-sm-7 col-xs-12">
                                                    <div class="post-thumb zoom-image">
                                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(570,411)).'</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        $count++;
                    }
                }
                $html .=        '</div>
                            </div>';
                break;
            case 'home3':
                $item = 2;
                $speed = '';
                $item_res = '0:1,768:2';
                if(empty($title_cap)) $title_cap = $title;
                $html .=    '<div class="from-blog5">
                                <div class="intro-special">';
                if(!empty($title)) $html .=    '<h2 class="ver-title"><span class="wow fadeInLeft">'.esc_html($title).'</span></h2>';
                if(!empty($title_cap)){
                    $char = substr($title_cap,0,1);
                    $html .=            '<div class="caption-intro wow fadeInLeft">
                                            <strong>'.$char.'</strong>
                                            <h2>'.esc_html($title_cap).'</h2>
                                        </div>';
                                    }
                $html .=            '<div class="text-intro">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>';
                $html .=        '</div>
                                <div class="from-blog-slider5 wow fadeInUp">
                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($item_res).'" data-prev="" data-next="" data-pagination="true" data-navigation="">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=        '<div class="from-blog-item">
                                            <div class="post-thumb">
                                                <div class="zoom-image">
                                                    <a href="'.esc_url(get_the_permalink()).'" class="adv-thumb-link">'.get_the_post_thumbnail(get_the_ID(),array(470,339)).'</a>
                                                </div>
                                            </div>
                                            <div class="post-info">
                                               <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
                                                <ul class="post-comment-date">
                                                    <li>
                                                        <i class="fa fa-calendar" aria-hidden="true"></i>
                                                        <span>'.get_the_date('M d, Y').'</span>
                                                    </li>
                                                    <li>
                                                        <a href="'.esc_url(get_comments_link()).'">
                                                            <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                            <span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                                <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,120).'</p>
                                                <a href="'.esc_url(get_the_permalink()).'" class="btn-link5">'.esc_html__("read more","lamerfashion").'</a>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'home2':
                $html .=    '<div class="news-multi-color">';
                if(!empty($title)) $html .=    '<h2><span>'.esc_html($title).'</span></h2>';
                $html .=        '<div class="list-news-color">
                                    <div class="row">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        if($count % 8 == 1 || $count % 8 == 5) $html .= '<div class="col-md-6 col-sm-12 col-xs-12">';
                        if($count % 8 == 3 || $count % 8 == 6) $html .= '<div class="row">';
                        if($count % 8 == 1 || $count % 8 == 0){
                            if($count % 8 == 1) $color_class = 'color-brown';
                            else $color_class = 'color-magenta';
                            $html .=    '<div class="item-post-color '.esc_attr($color_class).' hoz-thumb clearfix wow zoomIn">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(570,258)).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_in().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
                                                <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,180).'</p>
                                                <ul class="blog-comment-date">
                                                    <li>
                                                        <i class="fa fa-calendar" aria-hidden="true"></i>
                                                        <span>'.get_the_date('M d, Y').'</span>
                                                    </li>
                                                    <li>
                                                        <a href="'.esc_url(get_comments_link()).'">
                                                            <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                            <span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore">'.esc_html__("Read more","lamerfashion").'</a>
                                            </div>
                                        </div>';
                        }
                        if($count % 8 == 2 || $count % 8 == 5){
                            if($count % 8 == 2) $color_class = 'color-blue';
                            else $color_class = 'color-green';
                            $html .=    '<div class="item-post-color '.esc_attr($color_class).' ver-thumb clearfix wow zoomIn">
                                            <div class="post-thumb">
                                                <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(257,367)).'</a>
                                            </div>
                                            <div class="post-info">
                                                '.s7upf_get_cat_in().'
                                                <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
                                                <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,120).'</p>
                                                <ul class="blog-comment-date">
                                                    <li>
                                                        <i class="fa fa-calendar" aria-hidden="true"></i>
                                                        <span>'.get_the_date('M d, Y').'</span>
                                                    </li>
                                                    <li>
                                                        <a href="'.esc_url(get_comments_link()).'">
                                                            <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                            <span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                                <a href="'.esc_url(get_the_permalink()).'" class="readmore">'.esc_html__("Read more","lamerfashion").'</a>
                                            </div>
                                        </div>';
                        }
                        if($count % 8 == 3 || $count % 8 == 4 || $count % 8 == 6 || $count % 8 == 7){
                            if($count % 8 == 3) $color_class = 'color-yellow';
                            else if($count % 8 == 4) $color_class = 'color-cyan';
                            else if($count % 8 == 6) $color_class = 'color-olive';
                            else $color_class = 'color-red';
                            $html .=    '<div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="item-post-color '.esc_attr($color_class).' nor-thumb clearfix wow zoomIn" style="visibility: visible; animation-name: zoomIn;">
                                                <div class="post-thumb">
                                                    <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(270,270)).'</a>
                                                </div>
                                                <div class="post-info">
                                                    '.s7upf_get_cat_in().'
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
                                                    <ul class="blog-comment-date">
                                                        <li>
                                                            <i class="fa fa-calendar" aria-hidden="true"></i>
                                                            <span>'.get_the_date('M d, Y').'</span>
                                                        </li>
                                                        <li>
                                                            <a href="'.esc_url(get_comments_link()).'">
                                                                <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                                <span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                    <a href="'.esc_url(get_the_permalink()).'" class="readmore">'.esc_html__("Read more","lamerfashion").'</a>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        if($count % 8 == 4 || $count % 8 == 7) $html .= '</div>';
                        if($count % 8 == 4 || $count % 8 == 0 || $count == $count_query) $html .= '</div>';
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'home-style':
                $html .=    '<div class="latest-news6">';
                if(!empty($title)) $html .=    '<h2 class="title-default">'.esc_html($title).'</h2>';
                $html .=        '<div class="latest-news-slider6 owl-directnav6">
                                    <div class="wrap-item">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-news6">';
                        if($count % 2 == 1){
                        $html .=        '<div class="post-thumb">
                                            <a href="'.esc_url(get_the_post_thumbnail_url(get_the_ID(),'full')).'" class="img-popup img-lightbox" title="'.esc_attr(get_the_title()).'">'.get_the_post_thumbnail(get_the_ID(),array(370,267)).'</a>
                                        </div>';
                                    }
                        $html .=        '<div class="post-info">
                                            <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'" title="'.get_the_title().'">'.get_the_title().'</a></h3>
                                            <p class="post-desc">'.s7upf_substr(get_the_excerpt(),0,100).'</p>
                                            <a href="'.esc_url(get_the_permalink()).'" class="readmore btn-plus-in">'.esc_html__("read more","lamerfashion").'</a>
                                        </div>';
                        if($count % 2 == 0){
                        $html .=        '<div class="post-thumb">
                                            <a href="'.esc_url(get_the_post_thumbnail_url(get_the_ID(),'full')).'" class="img-popup img-lightbox" title="'.esc_attr(get_the_title()).'">'.get_the_post_thumbnail(get_the_ID(),array(370,267)).'</a>
                                        </div>';
                                    }
                        $html .=    '</div>';
                        $count++;
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'home4':
                $html .=    '<div class="list-post-new15">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        $html .=    '<div class="item-post7">
                                        <div class="row">';
                        if($count % 2 == 1){
                        $html .=            '<div class="col-md-6 col-sm-6 col-xs-12">
                                                <div class="post-thumb">
                                                    <div class="zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(585,465)).'</a></div>
                                                </div>
                                            </div>';
                                        }
                        $html .=            '<div class="col-md-6 col-sm-6 col-xs-12">
                                                <div class="post-info">
                                                    <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                    <p class="post-desc">'.get_the_excerpt().'</p>
                                                    <ul class="post-comment-date">
                                                        <li>
                                                            <i class="fa fa-calendar" aria-hidden="true"></i>
                                                            <span>'.get_the_date('M d, Y').'</span>
                                                        </li>
                                                        <li>
                                                            <a href="'.esc_url(get_comments_link()).'">
                                                                <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                                <span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                    <a href="'.esc_url(get_the_permalink()).'" class="btn-link15"><span>'.esc_html__("Read more","lamerfashion").'</span></a>
                                                </div>
                                            </div>';
                        if($count % 2 == 0){
                        $html .=            '<div class="col-md-6 col-sm-6 col-xs-12">
                                                <div class="post-thumb">
                                                    <div class="zoom-image"><a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(585,465)).'</a></div>
                                                </div>
                                            </div>';
                                        }
                        $html .=        '</div>
                                    </div>';
                        $count++;
                    }
                }
                if(!empty($link)) $html .=  '<div class="viewall-blog">
                                                <a href="'.esc_url($link).'" class="btn-link15"><span>'.esc_html__("view all form blog","lamerfashion").'</span></a>
                                            </div>';
                $html .=    '</div>';
                break;
            
            default:
                $html .=    '<div class="latest-news '.esc_attr($style).'">
                                <div class="list-latest-news">';
                if($query->have_posts()) {
                    while($query->have_posts()) {
                        $query->the_post();
                        if($count % 2 == 1){
                            $html .=    '<div class="item-latest-news">
                                            <div class="row">
                                                <div class="col-md-7 col-sm-7 col-xs-12">
                                                    <div class="post-thumb zoom-image">
                                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(570,411)).'</a>
                                                    </div>
                                                </div>
                                                <div class="col-md-5 col-sm-5 col-xs-12">
                                                    <div class="post-info text-left">
                                                        <ul class="post-comment-date">
                                                            <li><i class="fa fa-calendar" aria-hidden="true"></i><span>'.get_the_date('M d, Y').'</span></li>
                                                            <li><a href="'.esc_url(get_comments_link()).'"><i class="fa fa-comment-o" aria-hidden="true"></i><span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span></a></li>
                                                        </ul>
                                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                        <a href="'.esc_url(get_the_permalink()).'" class="btn-plus readmore">'.esc_html__("read more","lamerfashion").'</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        else{
                            $html .=    '<div class="item-latest-news item-latest-shadow">
                                            <div class="row">
                                                <div class="col-md-5 col-sm-5 col-xs-12">
                                                    <div class="post-info text-right">
                                                        <ul class="post-comment-date">
                                                            <li><i class="fa fa-calendar" aria-hidden="true"></i><span>'.get_the_date('M d, Y').'</span></li>
                                                            <li><a href="'.esc_url(get_comments_link()).'"><i class="fa fa-comment-o" aria-hidden="true"></i><span>'.get_comments_number().' '.esc_html__("Comment","lamerfashion").'</span></a></li>
                                                        </ul>
                                                        <h3 class="post-title"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3>
                                                        <a href="'.esc_url(get_the_permalink()).'" class="btn-plus readmore">'.esc_html__("read more","lamerfashion").'</a>
                                                    </div>
                                                </div>
                                                <div class="col-md-7 col-sm-7 col-xs-12">
                                                    <div class="post-thumb zoom-image">
                                                        <a href="'.esc_url(get_the_permalink()).'">'.get_the_post_thumbnail(get_the_ID(),array(570,411)).'</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>';
                        }
                        $count++;
                    }
                }
                $html .=        '</div>
                            </div>';
                break;
        }
       
        wp_reset_postdata();
        return $html;
    }
}

stp_reg_shortcode('sv_lastest_post','s7upf_vc_lastest_post');

vc_map( array(
    "name"      => esc_html__("SV Latest Post", 'lamerfashion'),
    "base"      => "sv_lastest_post",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'lamerfashion')   => 'home-style',
                esc_html__("Home 2",'lamerfashion')   => 'home2',
                esc_html__("Home 3",'lamerfashion')   => 'home3',
                esc_html__("Home 4",'lamerfashion')   => 'home4',
                esc_html__("Home 1(fs)",'lamerfashion')   => 'home1fs',
                )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Number post', 'lamerfashion' ),
            'param_name'  => 'number',
            'description' => esc_html__( 'Number posts are display. Default is 7.', 'lamerfashion' ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Title', 'lamerfashion' ),
            'param_name'  => 'title',
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('home3','home2','home18','home17','home-style'),
                )
        ),
        array(
            'heading'     => esc_html__( 'Title caption', 'lamerfashion' ),
            'type'        => 'textfield',
            'param_name'  => 'title_cap',
            'dependency'    => array(
                'element'   => 'style',
                'value'   =>array('home3'),
                )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'View link', 'lamerfashion' ),
            'param_name'  => 'link',
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('home7'),
                )
        ),
        array(
            'holder'     => 'div',
            'heading'     => esc_html__( 'Categories', 'lamerfashion' ),
            'type'        => 'checkbox',
            'param_name'  => 'cats',
            'value'       => s7upf_list_taxonomy('category',false)
        ),
        array(
            'heading'     => esc_html__( 'Order', 'lamerfashion' ),
            'type'        => 'dropdown',
            'param_name'  => 'order',
            'value' => array(                   
                esc_html__('Desc','lamerfashion')  => 'DESC',
                esc_html__('Asc','lamerfashion')  => 'ASC',
            ),
            'description' => esc_html__( 'Select Order Type ', 'lamerfashion' ),
        ),        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'lamerfashion'),
            "param_name" => "content",
            'dependency'    => array(
                'element'   => 'style',
                'value'   =>array('home3'),
                )
        ),
    )
));