<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_social'))
{
    function s7upf_vc_social($attr, $content = false)
    {
        $html = $icon_html = '';
        extract(shortcode_atts(array(
            'style'         => 'social-footer',
            'title'          => '',
            'list'          => '',
            'align'         => 'text-left',
        ),$attr));
		parse_str( urldecode( $list ), $data);
        if(is_array($data)){
            foreach ($data as $key => $value) {
                $url = '#';
                if(isset($value['url'])) $url = $value['url'];
                $icon_html .= '<a href="'.esc_url($url).'"><i class="fa '.$value['social'].'"></i></a>';
            }
        }
        $html .=    '<div class="block-social '.$style.' '.$align.'">';
        if(!empty($title)) $html .= '<h2 class="title-footer">'.esc_html($title).'</h2>';
        $html .=        $icon_html;
        $html .=    '</div>';   
		return  $html;
    }
}

stp_reg_shortcode('sv_social','s7upf_vc_social');


vc_map( array(
    "name"      => esc_html__("SV Social", 'lamerfashion'),
    "base"      => "sv_social",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Style', 'lamerfashion' ),
            'param_name'  => 'style',
            'value'       => array(
                esc_html__( 'Footer', 'lamerfashion' )   => 'social-footer',
                esc_html__( 'Footer 4', 'lamerfashion' )   => 'social-footer4',
                esc_html__( 'Footer 6', 'lamerfashion' )   => 'social-footer9',
                esc_html__( 'Footer 9', 'lamerfashion' )   => 'social-network23',
                )
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Title', 'lamerfashion' ),
            'param_name'  => 'title',
        ),
        array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Align', 'lamerfashion' ),
			'value' => array(
				esc_html__( 'Align Left', 'lamerfashion' ) => 'text-left',
				esc_html__( 'Align Center', 'lamerfashion' ) => 'text-center',
				esc_html__( 'Align Right', 'lamerfashion' ) => 'text-right',
			),
			'param_name' => 'align',
			'description' => esc_html__( 'Select social layout', 'lamerfashion' ),
		),
		array(
            "type" => "add_social",
            "heading" => esc_html__("Add Social List",'lamerfashion'),
            "param_name" => "list",
        )
    )
));