<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
// Start at 16/6/2016
if(!function_exists('sv_vc_icon_box'))
{
    function sv_vc_icon_box($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'     => 'home2-style',
            'icon'      => '',
            'image'      => '',
            'title'     => '',
            'des2'    => '',
            'des'       => '',
            'link'      => '',
        ),$attr));
        switch ($style) {
            case 'server-home3':
                $html .=    '<div class="item-service5">
                                <a href="'.esc_url($link).'" class="service-icon">'.wp_get_attachment_image($image,'full').'</a>
                                <h2><a href="'.esc_url($link).'">'.esc_html($title).'</a></h2>
                                <p>'.esc_html($des).'</p>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-contact-box '.esc_attr($style).'">
                                <a href="'.esc_url($link).'" class="contact-icon"><i class="fa '.esc_attr($icon).'" aria-hidden="true"></i></a>
                                <h2 class="contact-title">'.esc_html($title).'</h2>
                                <p class="contact-info">'.esc_html($des).'<br>'.esc_html($des2).'</p>
                            </div>';
                break;
        }
        return $html;
    }
}

stp_reg_shortcode('sv_icon_box','sv_vc_icon_box');

vc_map( array(
    "name"      => esc_html__("SV Icon Box", 'lamerfashion'),
    "base"      => "sv_icon_box",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Home 2",'lamerfashion') => 'home2-style',
                esc_html__("Home 3",'lamerfashion') => 'style2',
                esc_html__("Service home 3",'lamerfashion') => 'server-home3',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Icon",'lamerfashion'),
            "param_name" => "icon",            
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('home2-style','style2'),
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'lamerfashion'),
            "param_name" => "image",
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('server-home3'),
                )
        ),
        array(
            "type" => "textfield",
            "holder" => "h3",
            "heading" => esc_html__("Title",'lamerfashion'),
            "param_name" => "title",
        ),
        array(
            "type" => "textfield",
            "holder" => "p",
            "heading" => esc_html__("Description",'lamerfashion'),
            "param_name" => "des",
        ),
        array(
            "type" => "textfield",
            "holder" => "p",
            "heading" => esc_html__("Description 2",'lamerfashion'),
            "param_name" => "des2",
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('home2-style','style2'),
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Link",'lamerfashion'),
            "param_name" => "link",
        )
    )
));