<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_payment'))
{
    function s7upf_vc_payment($attr, $content = false)
    {
        $html = $icon_html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'list'          => '',
            'itemres'      => '',
            'title'      => '',
            'animation'      => '',
        ),$attr));
		$data = (array) vc_param_group_parse_atts( $list );
        if(!empty($animation)) $animation_class = 'wow '.$animation;
        switch ($style) {
            case 'image_link6':
                $html .=    '<div class="shopby-cat">';
                $html .=    '<h2>'.esc_html($title).'</h2>';
                $html .=        '<ul>';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<li><a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'<span>'.esc_html($value['title']).'</span></a></li>';
                    }
                }
                $html .=        '</ul>
                            </div>';
                break;

            case 'adv-image3':
                $item = 3;
                $speed = 5000;
                if(empty($itemres)) $itemres = '0:1,480:2,768:3';
                $html .=    '<div class="pop-cat5">
                                <div class="intro-special">';
                if(!empty($title)){
                    $char = substr($title,0,1);
                    $html .=        '<h2 class="ver-title"><span class="wow fadeInRight">'.esc_html($title).'</span></h2>
                                    <div class="caption-intro '.esc_attr($animation_class).'">
                                        <strong>'.$char.'</strong>
                                        <h2>'.esc_html($title).'</h2>
                                    </div>';
                }
                if(!empty($content)){
                    $html .=        '<div class="text-intro">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>';
                }
                $html .=        '</div>';
                $html .=        '<div class="popcat-slider owl-paginav '.esc_attr($animation_class).'">
                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-prev="" data-next="" data-pagination="true" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item-popcat">
                                            <div class="popcat-thumb gray-image"><a href="'.esc_url($value['link']).'" class="adv-thumb-link">'.wp_get_attachment_image($value['image'],'full').'</a></div>
                                            <div class="popcat-info">
                                                <h3><a href="'.esc_url($value['link']).'">'.esc_html($value['title']).'</a></h3>
                                                <span>'.esc_html($value['des']).'</span>
                                            </div>
                                        </div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'gallerys3':
                $item = 1;
                $speed = 5000;
                $html .=    '<div class="galery-special">';
                if(!empty($title)){
                    $char = substr($title,0,1);
                $html .=        '<div class="caption-intro '.esc_attr($animation_class).'">
                                    <strong>'.$char.'</strong>
                                    <h2>'.esc_html($title).'</h2>
                                </div>';
                }
                $html .=        '<div class="gal-special-slider owl-paginav '.esc_attr($animation_class).'">
                                    <div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-prev="" data-next="" data-pagination="true" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item"><a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a></div>';
                    }
                }
                $html .=            '</div>
                                </div>
                            </div>';
                break;

            case 'collections3':
                $html .=    '<div class="image-collection">';
                if(!empty($title)){
                    $char = substr($title,0,1);
                $html .=        '<div class="caption-intro '.esc_attr($animation_class).'">
                                    <strong>'.$char.'</strong>
                                    <h2>'.esc_html($title).'</h2>
                                </div>';
                }
                $html .=        '<div class="list-collection5">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        if(($key+1) % 3 == 1) $item_class = 'first-col';
                        if(($key+1) % 3 == 2) $item_class = 'second-col';
                        if(($key+1) % 3 == 0) $item_class = 'last-col';
                        $html .=    '<a href="'.esc_url($value['link']).'" class="col-link '.esc_attr($item_class).' '.esc_attr($animation_class).'">
                                        '.wp_get_attachment_image($value['image'],'full').'
                                    </a>';
                    }
                }
                $html .=       '</div>
                            </div>';
                break;

            case 'adv-slider2-2':
                $item = 1;
                $speed = 5000;
                if(empty($itemres)) $itemres = '0:1,560:2,990:3';
                $html .=    '<div class="hot-cat-adv-slider">';
                $html .=        '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<div class="item-hot-cat-adv">
                                        <div class="hot-cat-thumb">
                                            <div class="zoom-image">
                                                <a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a>
                                            </div>
                                        </div>
                                        <div class="hot-cat-info">
                                            <h2>'.$value['title'].'</h2>
                                            <p>'.$value['des'].'</p>
                                            <a href="'.esc_url($value['link']).'" class="shopnow">'.esc_html__("shop now","lamerfashion").'</a>
                                        </div>
                                    </div>';
                    }
                }
                $html .=        '</div>
                            </div>';
                break;

            case 'adv-slider2':
                $item = 1;
                $speed = 5000;
                if(empty($itemres)) $itemres = '0:1';
                $html .=    '<div class="content-product-adv">
                                <div class="owl-paginav">';
                $html .=            '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-prev="" data-next="" data-pagination="true" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=        '<div class="item"><a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a></div>';
                    }
                }
                $html .=            '</div>
                                </div>';
                if(!empty($content)){
                $html .=        '<div class="new-adv-text">
                                    <div class="inner-new-adv-text">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>
                                </div>';
                            }
                $html .=    '</div>';
                break;

            case 'adv-slider':
                $item = 3;
                $speed = 5000;
                if(empty($itemres)) $itemres = '0:1,560:2,768:3';
                $html .=    '<div class="summer-list-cat">';
                $html .=        '<div class="wrap-item smart-slider" data-item="'.esc_attr($item).'" data-speed="'.esc_attr($speed).'" data-itemres="'.esc_attr($itemres).'" data-prev="" data-next="" data-pagination="" data-navigation="">';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $html .=    '<div class="item-summer-cat">
                                        <div class="zoom-image"><a href="'.esc_url($value['link']).'" class="adv-thumb-link">'.wp_get_attachment_image($value['image'],'full').'</a></div>
                                        <h3><a href="'.esc_url($value['link']).'">'.esc_html($value['title']).'</a></h3>
                                    </div>';
                    }
                }
                $html .=        '</div>
                            </div>';
                break;

            default:
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $icon_html .= '<a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a>';
                    }
                }
                $html .=    '<div class="paymment-method '.esc_attr($style).'">';
                $html .=        $icon_html;
                $html .=    '</div>';
                break;
        }
          
		return  $html;
    }
}

stp_reg_shortcode('sv_payment','s7upf_vc_payment');


vc_map( array(
    "name"      => esc_html__("SV Image link", 'lamerfashion'),
    "base"      => "sv_payment",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Payment footer",'lamerfashion')    => '',
                esc_html__("Payment footer 6",'lamerfashion')    => 'payment9',
                esc_html__("Image adv slider",'lamerfashion')  => 'adv-slider',
                esc_html__("Image adv slider home 2",'lamerfashion')  => 'adv-slider2',
                esc_html__("Image adv slider home 2(style 2)",'lamerfashion')  => 'adv-slider2-2',
                esc_html__("Collections home 3",'lamerfashion')  => 'collections3',
                esc_html__("Gallerys home 3",'lamerfashion')  => 'gallerys3',
                esc_html__("Advs home 3",'lamerfashion')  => 'adv-image3',
                esc_html__("Image link category home 6",'lamerfashion')  => 'image_link6',
                )
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Info Animation', 'lamerfashion' ),
            'param_name' => 'animation',
            'admin_label' => false,
            'value' => '',
            'settings' => array(
                'type' => 'in',
                'custom' => array(
                    array(
                        'label' => esc_html__( 'Default', 'lamerfashion' ),
                        'values' => array(
                            esc_html__( 'Top to bottom', 'lamerfashion' ) => 'top-to-bottom',
                            esc_html__( 'Bottom to top', 'lamerfashion' ) => 'bottom-to-top',
                            esc_html__( 'Left to right', 'lamerfashion' ) => 'left-to-right',
                            esc_html__( 'Right to left', 'lamerfashion' ) => 'right-to-left',
                            esc_html__( 'Appear from center', 'lamerfashion' ) => 'appear',
                        ),
                    ),
                ),
            ),
            'description' => esc_html__( 'Select type of animation for element to be animated when it enters the browsers viewport (Note: works only in modern browsers).', 'lamerfashion' ),
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('collections3','gallerys3','adv-image3'),
                )
        ),
        array(
            'heading'     => esc_html__( 'Title', 'lamerfashion' ),
            "holder" => "h3",
            'type'        => 'textfield',
            'param_name'  => 'title',
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('collections3','gallerys3','adv-image3','image_link6'),
                )
        ),
		array(
            'heading'     => esc_html__( 'Custom Item', 'lamerfashion' ),
            'type'        => 'textfield',
            'description'   => esc_html__( 'Enter item for screen width(px) format is width:value and separate values by ",". Example is 0:2,600:3,1000:4. Default is auto.', 'lamerfashion' ),
            'param_name'  => 'itemres',
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('adv-slider'),
                )
        ),
        array(
            "type" => "param_group",
            "heading" => esc_html__("Add Image List",'lamerfashion'),
            "param_name" => "list",
            "params"    => array(
                array(
                    "type" => "attach_image",
                    "heading" => esc_html__("Image",'lamerfashion'),
                    "param_name" => "image",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title",'lamerfashion'),
                    "param_name" => "title",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Description",'lamerfashion'),
                    "param_name" => "des",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Link",'lamerfashion'),
                    "param_name" => "link",
                ),
            )
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'lamerfashion'),
            "param_name" => "content",
            'dependency'    => array(
                'element'   => 'style',
                'value'   => array('adv-slider2','adv-image3'),
                )
        ),
    )
));