<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 18/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_menu'))
{
    function s7upf_vc_menu($attr,$content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'     => '',
            'menu'      => '',
            'title'     => '',
            'type'      => '',
            'page_id'  => '',
        ),$attr));
        if(!empty($menu)){
            switch ($type) {
                case 'icon-hover':
                    $html .=    '<div class="menu-hover">
                                    <a href="#" class="menu-hover-link"><i class="fa fa-bars" aria-hidden="true"></i></a>
                                    <div class="content-menu-hover">
                                        <div class="main-nav-hover">';
                    if(!empty($title)) $html .=    '<h2>'.esc_html($title).'</h2>';
                    $html .=        '<nav class="main-nav '.esc_attr($style).'">';
                        ob_start();
                        wp_nav_menu( array(
                            'menu' => $menu,
                            'container'=>false,
                            'walker'=>new S7upf_Walker_Nav_Menu(),
                        ));
                    $html .=    @ob_get_clean();                            
                    $html .=                '</nav>
                                        </div>';
                    if(!empty($page_id)){
                    $html .=            '<div class="mega-menu-hover">
                                            '.S7upf_Template::get_vc_pagecontent($page_id).'
                                        </div>';
                                    }
                    $html .=        '</div>
                                </div>';
                    break;
                
                default:
                    $html .= '<nav class="main-nav '.esc_attr($style).'">';
                        ob_start();
                        wp_nav_menu( array(
                            'menu' => $menu,
                            'container'=>false,
                            'walker'=>new S7upf_Walker_Nav_Menu(),
                        ));
                    $html .=    @ob_get_clean();
                    $html .=    '<a class="toggle-mobile-menu" href="#"><i class="fa fa-bars" aria-hidden="true"></i></a>';
                    $html .= '</nav>';
                    break;
            }            
        }
        else{
            switch ($type) {
                case 'icon-hover':
                    # code...
                    break;
                
                default:
                    $html .= '<nav class="main-nav '.esc_attr($style).'">';
                        ob_start();
                        wp_nav_menu( array(
                            'theme_location' => 'primary',
                            'container'=>false,
                            'walker'=>new S7upf_Walker_Nav_Menu(),
                        ));
                    $html .= @ob_get_clean();
                    $html .=    '<a class="toggle-mobile-menu" href="#"><i class="fa fa-bars" aria-hidden="true"></i></a>';
                    $html .= '</nav>';
                    break;
            }            
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_menu','s7upf_vc_menu');

vc_map( array(
    "name"      => esc_html__("SV Menu", 'lamerfashion'),
    "base"      => "sv_menu",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'lamerfashion')        => '',
                esc_html__("Menu hover",'lamerfashion')     => 'main-nav14',
                esc_html__("Menu home 5",'lamerfashion')    => 'main-nav8',
                esc_html__("Menu home 6",'lamerfashion')    => 'main-nav8 main-nav9',
                esc_html__("Menu home 9",'lamerfashion')    => 'main-nav23',
                )
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Type",'lamerfashion'),
            "param_name" => "type",
            "value"     => array(
                esc_html__("Default",'lamerfashion')   => '',
                esc_html__("Icon hover",'lamerfashion')   => 'icon-hover',            
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'lamerfashion'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => 'type',
                "value"   => array('icon-hover'),
                )
        ),
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => esc_html__( 'Menu name', 'lamerfashion' ),
            'param_name' => 'menu',
            'value' => s7upf_list_menu_name(),
            'description' => esc_html__( 'Select Menu name to display', 'lamerfashion' )
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__( 'Choose page content', 'lamerfashion' ),
            'param_name'  => 'page_id',
            'value'       => s7upf_list_all_page(),
            "dependency"    => array(
                "element"   => 'type',
                "value"   => array('icon-hover'),
                )
        ),
    )
));